% Takes structure 'data' output be read() and outputs a matrix for our processing
% Parameters:
%	data - scanData structure
% Returns:
%	rec - matrix. First column is the sampling times, second is the record from hammer;
%		the rest of the columns are records from accelerometers 

function rec = data_record(data)

global sys

	rec = zeros(length(data.Time),17);

	rec(:,1) = seconds(data.Time)*1000.0;		% time in milliseconds

	rec(:,2) = data.(sys.ch0.Name);		% hammer

	rec(:,3) = data.(sys.ch1.Name);
	rec(:,4) = data.(sys.ch2.Name);
	rec(:,5) = data.(sys.ch3.Name);
	rec(:,6) = data.(sys.ch4.Name);
	rec(:,7) = data.(sys.ch5.Name);
	rec(:,8) = data.(sys.ch6.Name);
	rec(:,9) = data.(sys.ch7.Name);
	rec(:,10) = data.(sys.ch8.Name);
	rec(:,11) = data.(sys.ch9.Name);
	rec(:,12) = data.(sys.ch10.Name);
	rec(:,13) = data.(sys.ch11.Name);
	rec(:,14) = data.(sys.ch12.Name);
	rec(:,15) = data.(sys.ch13.Name);
	rec(:,16) = data.(sys.ch14.Name);
	rec(:,17) = data.(sys.ch15.Name);
end

