%% Returns pattern table for pattern number specified in session.pattern
%%
%% The 'pattern' is a matrix with three columns as in patterm files:
%%		station_number,   station_X (inline), station Y (crossline) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function pattern = get_pattern()

global session

  if ~exist(session.pattern_filename)
	error("No pattern file %s",session.pattern_filename)
  end

  %   obtain receiver coordinates from pattern

  p = load(session.pattern_filename,'-ascii');	% abbreviated pattern

  if size(p,1) < 2
	error("No valid records in pattern file %s",session.pattern_filename)
  end

  stnos = transpose(min(p(:,1)) : max(p(:,1)));		% all station numbers

  pattern = [ stnos, interp1(p(:,1),p(:,2:end),stnos) ];	% full pattern

end

