%% Returns project name and structure 'survey' containing the same fields as in seismograph programs
%% plus some additional

function [ projname, survey ] = get_survey()

global session

  patt = get_pattern();

  survey.threeD = false;

  projname = session.project;

  survey.name = session.name;
  survey.location = session.location;

  survey.obs_geophones = 'Accelerometers';
  survey.obs_spread = 'Fixed, off-end';

  survey.obs_rec_spacing = (max(patt(:,2)) - min(patt(:,2)))/(size(patt,1)-1);
				% mean receiver spacing from pattern

  survey.obs_sources = sprintf('%d gram hammer', session.hammer_mass);

  survey.observer = session.observer;

  survey.base_station = 1;

  survey.base_x = patt(1,2);	% inline coordinate of first station

  survey.src_skid = session.hammer_position_cm(1)*0.01 - survey.base_x;
  survey.src_offset = session.hammer_position_cm(2)*0.01;

  survey.curr_line = session.line_no;
  survey.curr_ffid = session.trial_no;
  survey.curr_srcstn = 1;	% source station is always 1 in these surveys

  survey.obs_line_spacing = 0.0;

end   

