%% Sets the next available trial number, source number, and the corresponding 
%% file names in 'session'
%% The trial number is selected by incrementing the correct session.trial_no
%% and checking that no such data file exists.

function new_trial()

  global session

  while true
  	session.trial_no = session.trial_no + 1;

  	[ session.log_filename, session.data_filename, session.pattern_filename ] = file_names();

  	% if data file does not exist, done; otherwise try larger trial numbers

	if ~exist(session.data_filename)
		break
	end
  end

  % source number will be the next in the log

  if exist(session.log_filename)

  	A = load(session.log_filename,'-ascii');	% load log

  	if size(A,1) > 0 				% have some values in the log
		session.src_no = max(A(:,1)) + 1;
  	else
		session.src_no = 1;
  	end
  else					% new log
	session.src_no = 1;
  end

end

