%%  Returns the time range used in spectral and dispersion measurements
%%
%% Parameters:
%%      none
%%  Returns:
%%      trange - signal time range, represented by an array of 4 numbers:
%%		trange(1) is the beginning of the ime window;
%%		trange(2) is the end of cosine taper applied to signals at the beginning of the time range.
%%				This time is usually teh strike time = 0.0; 
%%		trange(3) is the start of another cosine taper applied at the end of the time range; 
%%		trange(4) is the end of teh time range.


function trange = signal_time_range()

  trange = [-10 0 50 60];	% I.M.: the length of time window does not seem to change much with your data
				% (which has practically no ambient noise). The change is that with a longer window,
				% you will obtain a smaller frequency increment in the resulting spectra, which
				% gives more detail BUT also will lead to more erratic fluctuations of dispersion curves.
				% So, I returned to the original values, but maybe you will also want to try 
				% different values later. The last version of code used [-50, 0, 95, 100]
end

