%% Appends to current .csv database file parameters of current trial
%%
%% Log file format example:
%% -----------------------------------------------------------------------------------------------------------------------------------
%% MASW_TrialID,Log_Line_No,TestID,ArrayID,HammerID,HammerOffset_cm,MASW_Trial_Time,MASW_Trial_Date,Note_1,Note_2,Note_3,Note_4,Note_5
%% 145,1,USASK_Wheel0_LNA_0CYC,Array1,H1,12.5,6:52:00 PM,17-May-22,,,,,
%% -----------------------------------------------------------------------------------------------------------------------------------

function write_log_csv()

global session

  if exist(session.csv_log_filename)                % log exists, open for appending
      fid = fopen(session.csv_log_filename,"at");
  else                                    	% open new

        fid = fopen(session.csv_log_filename,"wt");

      	% write out log header

	fprintf(fid,"MASW_TrialID,Log_Line_No,TestID,ArrayID,HammerID,HammerOffset_cm,MASW_Trial_Time,MASW_Trial_Date,Note_1,Note_2,Note_3,Note_4,Note_5\n");
  end

  t = now();

  fprintf(fid,"%d,%d,USASK_Wheel%d_LN%s_%dCYC,", session.trial_no, session.line_no,...
					session.trial_ID, session.lane_name, session.dq_load_cycles);
  fprintf(fid,"Array%d,%s,%1.1f,%s,%s,", session.pattern, session.hammer_ID,session.hammer_position_cm(1),...
			datestr(t,'HH:MM:SS AM'),datestr(t,'dd-mmm-yy'));
  fprintf(fid,"%s,%s,%s,%s,%s\n", session.Note1, session.Note2, session.Note3, session.Note4, session.Note5);

  fclose(fid);
  
end

